﻿using UnityEngine;
using System.Collections;
using UnityEngine.Events;

public class DestroyAfter : MonoBehaviour {
    public float Seconds = 1;
    public UnityEvent OnDeath;
	// Use this for initialization
	void Start () {
        Invoke("DoDestroy", Seconds);
	}
    void DoDestroy()
    {
        if (OnDeath != null) OnDeath.Invoke();
        Destroy(this.gameObject);
    }
}
