﻿using UnityEngine;
using System.Collections;
using UnityEngine.Events;

public class ExitCutscene : MonoBehaviour {
    public Follow CameraFollow;
    public Simple2dPlatformController Player;
    public Transform WinScreen;
    public UnityEvent OnCutsceneComplete,OnCutsceneStart;
	// Use this for initialization
	void Start () {
        WinScreen.gameObject.SetActive(false);
	}
    public void Run()
    {
        StartCoroutine(doRun());
    }
    private IEnumerator doRun()
    {
        if (OnCutsceneStart != null) OnCutsceneStart.Invoke();
        Player.enabled = false;
        yield return new WaitForSeconds(2);
        WinScreen.gameObject.SetActive(true);
        CameraFollow.Target = WinScreen;
        if (OnCutsceneComplete != null) OnCutsceneComplete.Invoke();
    }
}
