﻿using UnityEngine;
using System.Collections;
using UnityEngine.Events;

public class IntroCutscene : MonoBehaviour {

    public Transform Player;
    //public Transform Ball;
    public Follow FollowCamera;
    //public GameObject DeathPrefab;
    public Spawner BallSpawner;
    //public AudioClip BallDeathSound;
    public Transform Instructions,Error,NewBall,Ready;
    public UnityEvent OnIntroComplete;
	// Use this for initialization
	void Start () {
        StartCoroutine("DoIntro");
	}
    IEnumerator DoIntro()
    {
        Ready.gameObject.SetActive(false);
        yield return new WaitForSeconds(0.1f);
        Ready.gameObject.SetActive(false);
        FollowCamera.GetComponent<Animator>().SetBool("On", true);
        Player.gameObject.SetActive(false);
        Error.gameObject.SetActive(false);
        NewBall.gameObject.SetActive(false);
        Instructions.gameObject.SetActive(true);
        FollowCamera.Target = this.transform;
        var loopCounter = 2f;
        while (loopCounter > 0)
        {
            if (RInput.GetAxis("Vertical") != 0)
            {
                loopCounter -= Time.deltaTime;
            } 
            yield return null;
        }
        //Ball.gameObject.SetActive(false);
        //AudioSource.PlayClipAtPoint(BallDeathSound, Ball.transform.position);
        //Instantiate(DeathPrefab, Ball.transform.position, Quaternion.identity);
        BallSpawner.Spawn();
        Instructions.gameObject.SetActive(false);
        Ready.gameObject.SetActive(true);
        yield return new WaitForSeconds(3);
        Ready.gameObject.SetActive(false);
        Error.gameObject.SetActive(true);
        yield return new WaitForSeconds(4);
        Error.gameObject.SetActive(false);
        NewBall.gameObject.SetActive(true);
        yield return new WaitForSeconds(4);
        NewBall.gameObject.SetActive(false);
        FollowCamera.GetComponent<Animator>().enabled = false;
        FollowCamera.enabled = true;
        FollowCamera.Target = Player;
        Player.gameObject.SetActive(true);
        this.gameObject.SetActive(false);
        if (OnIntroComplete != null) OnIntroComplete.Invoke();
    }
	
	// Update is called once per frame
	void Update () {
	
	}
}
