﻿using UnityEngine;
using System.Collections;
using UnityEngine.Events;

public class KillZone : MonoBehaviour {
    public bool IsOn = true; 
    private float EmissionRate = 0;
    public UnityEvent OnActivate, OnDeactivate;
    public void Activate(bool isOn)
    {
        IsOn = isOn;
        if (isOn)
        {
            if (OnActivate != null) OnActivate.Invoke();
        }
        else
        {
            if (OnDeactivate != null) OnDeactivate.Invoke();
        }
    }
    void OnTriggerEnter2D(Collider2D c)
    {
        if (!IsOn) return;
        Debug.Log("TRIGGER ENTER");
        if (c.tag == "Player")
        {
            c.BroadcastMessage("Kill", SendMessageOptions.DontRequireReceiver);
        }
    }
}
