﻿using UnityEngine;
using System.Collections;

public class LookAt : MonoBehaviour
{
    public Transform Target;
    public float TrackingSpeed = 1;
    public float angle;
    public Vector3 dirVector;
    public Vector3 lookAtEuler;
    // Update is called once per frame
    void Update()
    {
        dirVector = Target.position - this.transform.position;
        angle =Vector2.Angle(Vector2.up, dirVector);
        var lookAt = this.transform.rotation;
        lookAt.eulerAngles = new Vector3(0, 0, -Mathf.Sign(dirVector.x) * angle);
        lookAtEuler = lookAt.eulerAngles;
        this.transform.rotation = Quaternion.RotateTowards(this.transform.rotation, lookAt, TrackingSpeed * Time.deltaTime);
    }
}