﻿using UnityEngine;
using System.Collections;

public class Mover : MonoBehaviour {
    public float Speed;
    public bool DestroyOnCollision; 
	
	// Update is called once per frame
	void Update () {
        this.transform.Translate(-this.transform.up * Time.deltaTime * Speed, Space.World);
	}
    void OnTriggerEnter2D(Collider2D c)
    {
        Debug.Log("Mover trigger");
        if (DestroyOnCollision)
        {
            Destroy(this.gameObject);
        }
    }
}
