﻿using UnityEngine;
using System.Collections;

public class PlayerUse : MonoBehaviour {
    public string UseButton = "Use";
    public float UseRadius = 1;
    public LayerMask UseableLayers;
    public string BroadcastUseMessage = "Use";
    void OnDrawGizmosSelected()
    {
        Gizmos.color = Color.magenta;
        Gizmos.DrawWireSphere(this.transform.position, UseRadius);
    }
	// Update is called once per frame
	void Update () {
        if (RInput.GetButtonDown(UseButton))
        {
            var UseableHit = Physics2D.OverlapCircle(this.transform.position, UseRadius, UseableLayers);
            if (UseableHit != null )
            {
                UseableHit.BroadcastMessage(BroadcastUseMessage, SendMessageOptions.DontRequireReceiver);
            }
        }
	}
}
