﻿using UnityEngine;
using System.Collections;

public class PongBall : MonoBehaviour {
    Rigidbody2D rb;
	// Use this for initialization
	void Start () {
        rb = this.GetComponent<Rigidbody2D>();
        Invoke("Go", 5);
    }
    void Go() {
        rb.velocity = Quaternion.Euler(0, 0, Random.Range(10, 40)) * Vector3.right * (Random.Range(-1f, 1f) > 0 ? 1f : -1f) * 6;
	}
	
	// Update is called once per frame
	void Update () {
         
        rb.velocity = rb.velocity.normalized * 6;
	}
    public void OnCollisionEnter2D(Collision2D c)
    {

        //rb.velocity = rb.velocity + (Vector2)(Quaternion.Euler(0, 0, Random.Range(0, 360)) * Vector3.up);
        if (c.collider.tag == "Gremlin")
        {
            c.collider.BroadcastMessage("Spawn");
        }
        if (c.collider.GetComponent<PlayerMoveableWall>() != null)
        {
            var sign = Mathf.Sign(rb.velocity.x);
            var deltaY = Mathf.Clamp(this.transform.position.y - c.collider.transform.position.y,-1,1);

            //rb.velocity = new Vector2( -sign * Mathf.Asin(deltaY) * 6, Mathf.Acos(deltaY) * 6);
             
        }
    }
}
